## FilterDate

### Usage

```jsx
import { FilterDate } from 'ui-components';

<FilterDate
	omit={[30]}
	onClick={(e, value) => {
		console.log(`Selected the ${value} time interval`);
	}}
/>
```

### Parameters

* `omit` is an array of date interval options to omit from the filter

### Events

* `onClick` is the callback handler
	* `e` is the click event
	* `o` is the clicked date interval
		* `value` is the value of the date interval (the number of days as an integer, except for `alltime`)

### Notes

* This component handles storing the interval in local storage